OniClient reference¶
Generated from specs/oni.yaml, cross-referenced against vars_client.generated.oni. Regenerate with just docs-generate after just generate picks up spec changes -- do not hand-edit this file.
See also: data models.
Authorization¶
Login with username and password¶
POST /v1/auth/login
Returns: Optional[AuthorizationSC]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Exchange an API key for a JWT. Header format is Authorization: APIKEY <key>¶
POST /v1/auth
Returns: Optional[AuthorizationSC]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Concept¶
Find the root concept¶
GET /v1/concept/query/root
Returns: Optional[ConceptMetadata]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find the parent of a concept¶
GET /v1/concept/parent/{name}
Returns: Optional[ConceptMetadata]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find the children of a concept¶
GET /v1/concept/children/{name}
Returns: Optional[list[ConceptMetadata]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find concepts by name containing¶
GET /v1/concept/find/{name}
Returns: Optional[list[ConceptMetadata]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
List valid ranks¶
GET /v1/concept/ranks
Returns: Optional[list[Rank]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find a concept by name¶
GET /v1/concept/{name}
Returns: Optional[ConceptMetadata]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Update a concept. To remove a rank name or level, set it to an empty string. Only administrators can remove rank names and levels.¶
PUT /v1/concept/{name}
Returns: Optional[ConceptMetadata]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Delete a concept¶
DELETE /v1/concept/{name}
Returns: Optional[WithNameDeleteResponse]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Get all concept names¶
GET /v1/concept
Returns: Optional[list[str]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Create a new concept¶
POST /v1/concept
Returns: Optional[ConceptMetadata]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
ConceptName¶
Find a concept name¶
GET /v1/names/{name}
Returns: Optional[RawConcept]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Update a concept name. To remove the author, set it to an empty string¶
PUT /v1/names/{name}
Returns: Optional[RawConcept]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Delete a concept name¶
DELETE /v1/names/{name}
Returns: Optional[RawConcept]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Get all concept names¶
GET /v1/names
from kiota_abstractions.base_request_configuration import RequestConfiguration
from vars_client.generated.oni.v1.names.names_request_builder import NamesRequestBuilder
request_configuration = RequestConfiguration(query_parameters=NamesRequestBuilder.NamesRequestBuilderGetQueryParameters(limit=..., offset=...))
result = await client.oni.v1.names.get(request_configuration)
Query parameters:
limit:Optional[int]offset:Optional[int]
Returns: Optional[Page_Seq_String]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Add a new concept name¶
POST /v1/names
Returns: Optional[RawConcept]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Health¶
Health check¶
GET /v1/health
Returns: Optional[HealthStatus]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
History¶
Find a history record by its concept name¶
GET /v1/history/concept/{p1}
Returns: Optional[list[ExtendedHistory]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Approve a history record¶
PUT /v1/history/approve/{p1}
Returns: Optional[ExtendedHistory]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Reject a history record¶
PUT /v1/history/reject/{p1}
Returns: Optional[ExtendedHistory]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Get the count of all approved change requests¶
GET /v1/history/approved/count
Returns: Optional[Count]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Get all approved change requests¶
GET /v1/history/approved
from kiota_abstractions.base_request_configuration import RequestConfiguration
from vars_client.generated.oni.v1.history.approved.approved_request_builder import ApprovedRequestBuilder
request_configuration = RequestConfiguration(query_parameters=ApprovedRequestBuilder.ApprovedRequestBuilderGetQueryParameters(limit=..., offset=..., sort=...))
result = await client.oni.v1.history.approved.get(request_configuration)
Query parameters:
limit:Optional[int]offset:Optional[int]sort:Optional[str]
Returns: Optional[Page_Seq_ExtendedHistory]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Get the count of all pending change requests¶
GET /v1/history/pending/count
Returns: Optional[Count]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Get all pending change requests¶
GET /v1/history/pending
from kiota_abstractions.base_request_configuration import RequestConfiguration
from vars_client.generated.oni.v1.history.pending.pending_request_builder import PendingRequestBuilder
request_configuration = RequestConfiguration(query_parameters=PendingRequestBuilder.PendingRequestBuilderGetQueryParameters(limit=..., offset=..., sort=...))
result = await client.oni.v1.history.pending.get(request_configuration)
Query parameters:
limit:Optional[int]offset:Optional[int]sort:Optional[str]
Returns: Optional[Page_Seq_ExtendedHistory]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find a history record by its id¶
GET /v1/history/{p1}
Returns: Optional[ExtendedHistory]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Delete a history record¶
DELETE /v1/history/{p1}
Returns: Optional[WithP1DeleteResponse]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Links¶
Get all link realizations for a link name¶
GET /v1/links/query/linkrealizations/{linkName}
Returns: Optional[list[ExtendedLink]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Get all link templates applicable to a concept and link name¶
GET /v1/links/{name}/using/{linkName}
Returns: Optional[list[Link]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Get all link templates applicable to a concept¶
GET /v1/links/{name}
Returns: Optional[list[Link]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Get all link templates¶
GET /v1/links
Returns: Optional[list[Link]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
LinkRealizations¶
Find all link realizations by concept name¶
GET /v1/linkrealizations/concept/{conceptName}
Returns: Optional[list[ExtendedLink]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find all link realizations by link name¶
GET /v1/linkrealizations/query/linkname/{linkName}
Returns: Optional[list[ExtendedLink]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find all link realizations by prototype¶
POST /v1/linkrealizations/prototype
Returns: Optional[list[ExtendedLink]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Count all link realizations¶
GET /v1/linkrealizations/count
Returns: Optional[Count]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find all link realizations¶
GET /v1/linkrealizations
from kiota_abstractions.base_request_configuration import RequestConfiguration
from vars_client.generated.oni.v1.linkrealizations.linkrealizations_request_builder import LinkrealizationsRequestBuilder
request_configuration = RequestConfiguration(query_parameters=LinkrealizationsRequestBuilder.LinkrealizationsRequestBuilderGetQueryParameters(limit=..., offset=...))
result = await client.oni.v1.linkrealizations.get(request_configuration)
Query parameters:
limit:Optional[int]offset:Optional[int]
Returns: Optional[Page_Seq_ExtendedLink]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Create a new link realization¶
POST /v1/linkrealizations
Returns: Optional[ExtendedLink]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Find a link realizations by its id¶
GET /v1/linkrealizations/{id}
Returns: Optional[ExtendedLink]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Update a link realization¶
PUT /v1/linkrealizations/{id}
Returns: Optional[ExtendedLink]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Delete a link realization¶
DELETE /v1/linkrealizations/{id}
Returns: Optional[LinkrealizationsDeleteResponse]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
LinkTemplates¶
Bulk rename all linkTemplate toConcepts¶
PUT /v1/linktemplates/toconcept/rename
# body: LinkRenameToConceptRequest
result = await client.oni.v1.linktemplates.toconcept.rename.put(body)
Returns: Optional[LinkRenameToConceptResponse]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Count all link templates by concept name¶
GET /v1/linktemplates/concept/count/{conceptName}
Returns: Optional[int]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find all link templates by concept name¶
GET /v1/linktemplates/concept/{conceptName}
Returns: Optional[list[ExtendedLink]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find all link templates by prototype¶
POST /v1/linktemplates/prototype
Returns: Optional[list[ExtendedLink]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find all link templates that can be used to annotate a concept by name and link name¶
GET /v1/linktemplates/query/for/{conceptName}/using/{linkName}
result = await client.oni.v1.linktemplates.query.for_.by_concept_name(concept_name).using.by_link_name(link_name).get()
Returns: Optional[list[ExtendedLink]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find all link templates that can be used to annotate a concept by name¶
GET /v1/linktemplates/query/for/{conceptName}
Returns: Optional[list[ExtendedLink]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Count all link templates by toConcept¶
GET /v1/linktemplates/toconcept/count/{toConcept}
Returns: Optional[int]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find all link templates by toConcept¶
GET /v1/linktemplates/toconcept/{toConcept}
Returns: Optional[list[ExtendedLink]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Count all link templates¶
GET /v1/linktemplates/count
Returns: Optional[Count]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find all link templates¶
GET /v1/linktemplates
from kiota_abstractions.base_request_configuration import RequestConfiguration
from vars_client.generated.oni.v1.linktemplates.linktemplates_request_builder import LinktemplatesRequestBuilder
request_configuration = RequestConfiguration(query_parameters=LinktemplatesRequestBuilder.LinktemplatesRequestBuilderGetQueryParameters(limit=..., offset=...))
result = await client.oni.v1.linktemplates.get(request_configuration)
Query parameters:
limit:Optional[int]offset:Optional[int]
Returns: Optional[Page_Seq_ExtendedLink]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Create a new link template¶
POST /v1/linktemplates
Returns: Optional[ExtendedLink]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Find a link template by its id¶
GET /v1/linktemplates/{id}
Returns: Optional[ExtendedLink]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Update a link template¶
PUT /v1/linktemplates/{id}
Returns: Optional[ExtendedLink]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Delete a link template¶
DELETE /v1/linktemplates/{id}
Returns: Optional[LinktemplatesDeleteResponse]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Media¶
Find a media record by ID¶
GET /v1/media/{id}
Returns: Optional[Media]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Update a media record¶
PUT /v1/media/{id}
Returns: Optional[Media]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Delete a media record¶
DELETE /v1/media/{id}
Returns: Optional[MediaDeleteResponse]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Get all media for a concept¶
GET /v1/media/search/concept/{name}
Returns: Optional[list[Media]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Create a new media record¶
POST /v1/media
Returns: Optional[Media]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Phylogeny¶
Find the branch from a given concept up to the root¶
GET /v1/phylogeny/up/{name}
Returns: Optional[SerdeConcept]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find the branch from the given concept down to the leaves¶
GET /v1/phylogeny/down/{name}
Returns: Optional[SerdeConcept]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
GET /v1/phylogeny/siblings/{name}¶
GET /v1/phylogeny/siblings/{name}
Returns: Optional[list[SerdeConcept]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
GET /v1/phylogeny/basic/{name}¶
GET /v1/phylogeny/basic/{name}
Returns: Optional[list[SerdeConcept]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
GET /v1/phylogeny/taxa/{name}¶
GET /v1/phylogeny/taxa/{name}
Returns: Optional[list[SerdeConcept]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Preferences¶
Find all preferences with a given prefix¶
GET /v1/prefs/startswith
from kiota_abstractions.base_request_configuration import RequestConfiguration
from vars_client.generated.oni.v1.prefs.startswith.startswith_request_builder import StartswithRequestBuilder
request_configuration = RequestConfiguration(query_parameters=StartswithRequestBuilder.StartswithRequestBuilderGetQueryParameters(prefix=...))
result = await client.oni.v1.prefs.startswith.get(request_configuration)
Query parameters:
prefix:Optional[str]
Returns: Optional[list[PrefNode]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Get all prefNode names matching a node name and key¶
GET /v1/prefs
from kiota_abstractions.base_request_configuration import RequestConfiguration
from vars_client.generated.oni.v1.prefs.prefs_request_builder import PrefsRequestBuilder
request_configuration = RequestConfiguration(query_parameters=PrefsRequestBuilder.PrefsRequestBuilderGetQueryParameters(key=..., name=...))
result = await client.oni.v1.prefs.get(request_configuration)
Query parameters:
key:Optional[str]name:Optional[str]
Returns: Optional[list[PrefNode]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Update a prefNode. Can be called using form body or json body. If name and key are not in the request body, they must be in the query parameters.¶
PUT /v1/prefs
# body: PrefNodeUpdate
from kiota_abstractions.base_request_configuration import RequestConfiguration
from vars_client.generated.oni.v1.prefs.prefs_request_builder import PrefsRequestBuilder
request_configuration = RequestConfiguration(query_parameters=PrefsRequestBuilder.PrefsRequestBuilderPutQueryParameters(key=..., name=...))
result = await client.oni.v1.prefs.put(body, request_configuration)
Query parameters:
key:Optional[str]name:Optional[str]
Returns: Optional[PrefNode]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Create a new prefNode¶
POST /v1/prefs
Returns: Optional[PrefNode]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Delete a prefNode¶
DELETE /v1/prefs
from kiota_abstractions.base_request_configuration import RequestConfiguration
from vars_client.generated.oni.v1.prefs.prefs_request_builder import PrefsRequestBuilder
request_configuration = RequestConfiguration(query_parameters=PrefsRequestBuilder.PrefsRequestBuilderDeleteQueryParameters(key=..., name=...))
result = await client.oni.v1.prefs.delete(request_configuration)
Query parameters:
key:Optional[str]name:Optional[str]
Returns: Optional[PrefsDeleteResponse]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Raw¶
Find a concept by name. Return raw (i.e. database format) concept¶
GET /v1/raw/concept/{name}
Returns: Optional[RawConcept]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find all concept names for a concept¶
GET /v1/raw/names/{name}
Returns: Optional[list[RawConceptName]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
References¶
Add a reference to a concept¶
PUT /v1/references/add/{id}/to/{concept}
Returns: Optional[Reference]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Remove a reference from a concept¶
PUT /v1/references/remove/{id}/from/{concept}
Returns: Optional[Reference]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Find references by citation glob¶
POST /v1/references/query/citation
# body: ReferenceQuery
from kiota_abstractions.base_request_configuration import RequestConfiguration
from vars_client.generated.oni.v1.references.query.citation.citation_request_builder import CitationRequestBuilder
request_configuration = RequestConfiguration(query_parameters=CitationRequestBuilder.CitationRequestBuilderPostQueryParameters(limit=..., offset=...))
result = await client.oni.v1.references.query.citation.post(body, request_configuration)
Query parameters:
limit:Optional[int]offset:Optional[int]
Returns: Optional[Page_Seq_Reference]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find a reference by DOI¶
POST /v1/references/query/doi
Returns: Optional[Reference]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find a reference by its ID¶
GET /v1/references/{id}
Returns: Optional[Reference]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Update a reference¶
PUT /v1/references/{id}
Returns: Optional[Reference]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Delete a reference¶
DELETE /v1/references/{id}
Returns: Optional[ReferencesDeleteResponse]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Find all references¶
GET /v1/references
from kiota_abstractions.base_request_configuration import RequestConfiguration
from vars_client.generated.oni.v1.references.references_request_builder import ReferencesRequestBuilder
request_configuration = RequestConfiguration(query_parameters=ReferencesRequestBuilder.ReferencesRequestBuilderGetQueryParameters(limit=..., offset=...))
result = await client.oni.v1.references.get(request_configuration)
Query parameters:
limit:Optional[int]offset:Optional[int]
Returns: Optional[Page_Seq_Reference]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Create a new reference¶
POST /v1/references
Returns: Optional[Reference]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
User Accounts¶
Find all user accounts by role¶
GET /v1/users/role/{role}
Returns: Optional[list[UserAccount]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Find a user account by username¶
GET /v1/users/{name}
Returns: Optional[UserAccount]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Update a user account¶
PUT /v1/users/{name}
Returns: Optional[UserAccount]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Delete a user account by username¶
DELETE /v1/users/{name}
Returns: Optional[WithNameDeleteResponse]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError
Get all user accounts¶
GET /v1/users
Returns: Optional[list[UserAccount]]
Errors: 400 BadRequest · 404 NotFound · 500 ServerError
Create a new user account¶
POST /v1/users
Returns: Optional[UserAccount]
Errors: 400 BadRequest · 401 Unauthorized · 404 NotFound · 500 ServerError